Skip to main content
GET
Error

Path Parameters

app_slug
string
required

App slug

team_slug
string
required

Team slug

Query Parameters

page
integer

Page number (default is 1)

per-page
integer

Amount of products per page. Minimum 0 and max 100 (default is 20)

categories
string[]

Filter by category URI

collections
string[]

Filter by collection URI

attributes
string[]

Filter by attributes. The format should be template_key/attribute_key. e.g colors/black

brands
string[]

Filter by brand name

markets
string[]

Filter by market slugs (commercial availability - products with variant prices in these markets)

Search on product name

product-number
string[]

Filter by exact product number/SKU (case-insensitive, supports multiple values)

status
string[]

Search by status, active | inactive | draft | incomplete

sort-order
string

Sort order. Should be one of ASC or DESC. Default DESC

sort-key
string

The key to sort on. Can be one of product-name, product-number, created-at, updated-at, status, category, tag, collection. (Default is created_at). When sorting by category, tag, or collection order, you must also filter by a single corresponding item.

tags
string[]

Filter by tag keys

smart-listing
string[]

Filter by smart-listing slug(s). A product matches if any variant belongs to one of these smart-listings

static-listing
string[]

Filter by static-listing slug(s). A product matches if any variant belongs to one of these static-listings

dont-match-publishing-rules
boolean

Only show products which don't follow the publishing rules for the specific app

created-at-before
string

ISO 8601 date. Fetch products created before this date.

created-at-after
string

ISO 8601 date. Fetch products created after this date.

updated-at-before
string

ISO 8601 date. Fetch products updated before this date.

updated-at-after
string

ISO 8601 date. Fetch products updated after this date.

has-description
boolean

Filter by whether product description exists.

description-includes
string

Filter by substring in description.

has-translations
boolean

Filter by whether any product translations exist.

has-translations-for-locale
string

Filter by products that have a translation in the given locale (e.g. 'en'). Combines with has-translations.

has-product-relation
boolean

Filter by whether any product relation exist.

product-relation-type
string

Filter on a specific product relation type

product-market-status
string[]

Filter by marketing status (active, inactive, draft, incomplete, archived). Can be combined with product-market-status-market and/or product-market-status-store-group

product-market-status-market
string[]

Filter products by marketing status in specific market(s). Requires product-market-status to be specified

product-market-status-store-group
string

Filter products by marketing status in specific store group/channel. Requires product-market-status to be specified

product-ids
string[]

Filter by product ids

no-categories
boolean

Filter products that have no categories

no-variants
boolean

Filter products that have no variants

channel-id
string

Filter products that are members of the given channel (UUID). Each product response includes its channel_statuses memberships when present.

channel-status
string

Filter products in the given channel by status (active or incomplete). Requires channel-id.

not-collections
string[]

Exclude products in any collection; supports multiple collection URI values

not-attributes
string[]

Exclude products matching attributes. Format template_key/attribute_key e.g colors/black

not-brands
string[]

Exclude products whose brand (or series parent) name matches

not-markets
string[]

Exclude products with variant prices in these market slugs

not-product-number
string[]

Exclude products by exact product number/SKU (case-insensitive, supports multiple values)

not-status
string[]

Exclude products with these statuses

not-tags
string[]

Exclude products tagged with these tag keys

not-smart-listing
string[]

Exclude products with any variant in these smart-listing slugs

not-static-listing
string[]

Exclude products with any variant in these static-listing slugs

not-description-includes
string

Exclude products whose description contains this substring. NULL/empty descriptions are kept.

not-has-translations-for-locale
string

Exclude products that have a translation in the given locale (e.g. 'en').

not-product-relation-type
string

Exclude products whose product relation matches the given type

not-product-market-status
string[]

Exclude products with marketing status (active, inactive, draft, incomplete, archived). Can be combined with not-product-market-status-market and/or not-product-market-status-store-group

not-product-market-status-market
string[]

Exclude products with marketing status in specific market(s). Requires not-product-market-status to be specified

not-product-market-status-store-group
string

Exclude products with marketing status in a specific store group/channel. Requires not-product-market-status to be specified

not-product-ids
string[]

Exclude products with these product ids

not-channel-id
string[]

Exclude products that are members of the given channel (UUID)

not-channel-status
string

Exclude products in the given channel by status (active or incomplete). Requires not-channel-id.

Response

Product list

data
object[]
success
boolean
total
integer
total_pages
integer